<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.com.ctop.kuaishou.modules.report.mapper.KuaishouReportHourlyAccountMapper">

    <select id="selectMaxHour" resultType="java.lang.Integer">
        select max(stat_hour)
        from
        ctop_kuaishou_report_hourly_account
        where account_id = #{accountId}
        and stat_date = #{statDate}

    </select>

    <select id="getCost" resultType="java.math.BigDecimal">
        select charge
        from
        ctop_kuaishou_report_hourly_account
        where
        account_id = #{accountId}
        and stat_date = #{statDate}
        and stat_hour = #{statHour}

    </select>

</mapper>